import { HierarchyEntry } from '../types';
import { HierarchyToHeadingAdapter } from './HierarchyToHeadingAdapter';
interface PageModel {
    isOutOfFlow: boolean;
    avoidReorder: boolean;
    footnotes: [];
    hierarchy: HierarchyEntry[];
    heading: HierarchyToHeadingAdapter;
    side?: 'left' | 'right';
    preferredSide?: 'left' | 'right';
    number?: number;
    isLeft: boolean;
    hasOutOfFlowContent: boolean;
    suppressOverflowError: boolean;
}
export { PageModel };
