import OutOfFlow from './OutOfFlow';
import { Book } from '../book';
import { PageMaker } from '../types';
export interface FullBleedSpreadPageRuleOptions {
    selector: string;
    continue: 'next' | 'same' | 'left' | 'right';
    rotate: 'none' | 'inward' | 'outward' | 'clockwise' | 'counterclockwise';
}
declare class FullBleedSpread extends OutOfFlow {
    rotate: string;
    continue: string;
    constructor(options: Partial<FullBleedSpreadPageRuleOptions>);
    createOutOfFlowPages(elmt: HTMLElement, book: Book, makeNewPage: PageMaker): void;
}
export default FullBleedSpread;
