import Replace from './Replace';
import { Book } from '../book';
import { PageMaker } from '../types';
export interface FootnoteRuleOptions {
    selector: string;
    replace: (element: HTMLElement) => HTMLElement;
    render: (originalElement: HTMLElement, number: number) => string | HTMLElement;
}
declare class Footnote extends Replace {
    constructor(options: Partial<FootnoteRuleOptions>);
    afterAdd(element: HTMLElement, book: Book, continueOnNewPage: Function, makeNewPage: PageMaker, overflowCallback: Function): any;
    createReplacement(book: Book, element: HTMLElement): HTMLElement;
    replace(element: HTMLElement, number: number): HTMLElement;
    render(originalElement: HTMLElement, number: number): string | HTMLElement;
}
export default Footnote;
