import Counter, { CounterRuleOptions } from './Counter';
import FullBleedSpread, { FullBleedSpreadPageRuleOptions } from './FullBleedSpread';
import FullBleedPage, { FullBleedPageRuleOptions } from './FullBleedPage';
import Footnote, { FootnoteRuleOptions } from './Footnote';
import PageReference, { PageReferenceRuleOptions } from './PageReference';
import PageBreak, { PageBreakRuleOptions } from './PageBreak';
import RunningHeader, { RunningHeaderRuleOptions } from './RunningHeader';
import Replace, { ReplaceRuleOptions } from './Replace';
import { Rule, RuleOptions } from './Rule';
import Split, { SplitRuleOptions } from './Split';
declare const _default: {
    Rule: typeof Rule;
    Split(options: Partial<SplitRuleOptions>): Split;
    Counter(options: Partial<CounterRuleOptions>): Counter;
    FullBleedPage(options: Partial<FullBleedPageRuleOptions>): FullBleedPage;
    Footnote(options: Partial<FootnoteRuleOptions>): Footnote;
    RunningHeader(options: Partial<RunningHeaderRuleOptions>): RunningHeader;
    Replace(options: Partial<ReplaceRuleOptions>): Replace;
    FullBleedSpread(options: Partial<FullBleedSpreadPageRuleOptions>): FullBleedSpread;
    PageBreak(options: Partial<PageBreakRuleOptions>): PageBreak;
    PageReference(options: Partial<PageReferenceRuleOptions>): PageReference;
    createRule(options: Partial<RuleOptions>): Rule;
};
export default _default;
